#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size)
{
    uint32_t value;
    uint32_t eps = 10000;
    uint32_t bound = 3048892032;

    if (size < sizeof(uint32_t))
        return TEPHRA_EXIT_FAILURE;

    memcpy(&value, data, sizeof(uint32_t));

    if (value <= (bound + eps))
        if ((bound - eps) <= value)
            BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
